from django.urls import path, include
from rest_framework.routers import DefaultRouter
from apps.inm.views import (
    WarehouseVIewSet, MaterialBatchViewSet, MIOViewSet, MIOItemViewSet, MioDoViewSet, MioSaleViewSet, MioPurViewSet, MioOtherViewSet)

API_BASE_URL = 'api/inm/'
HTML_BASE_URL = 'inm/'

router = DefaultRouter()
router.register('warehouse', WarehouseVIewSet, basename='warehouse')
router.register('materialbatch', MaterialBatchViewSet,
                basename='materialbatch')
router.register('mio', MIOViewSet, basename='mio')
router.register('mio/do', MioDoViewSet)
router.register('mio/sale', MioSaleViewSet)
router.register('mio/pur', MioPurViewSet)
router.register('mio/other', MioOtherViewSet)
router.register('mioitem', MIOItemViewSet, basename='mioitem')
urlpatterns = [
    path(API_BASE_URL, include(router.urls)),
]
